import React, { useState, useEffect } from 'react'
import { Heading } from 'grommet'

export const InstanceDetail = ({match}) => {
    const [instance, setInstance] = useState({})

    useEffect(() => {
        console.log(match.params.instanceid)
        fetch("http://vm.niif.cloud.bme.hu:20778/api/v1/instances/"+match.params.instanceid)
        .then((data) => data.json())
        .then((data) => setInstance(data))
    }, [])
    return(
        <div>
            <Heading >Name: {instance.name}</Heading>
            <Heading >Description: {instance.description}</Heading>
            <Heading >Access method:{instance.access_method}</Heading>
            <Heading >System: {instance.system}</Heading>
            <Heading >Suspend at: {instance.time_of_suspend}</Heading>
            <Heading >Delete at: {instance.time_of_delete}</Heading>
        </div>
    );
}

export default InstanceDetail;
